compact1, compact2, compact3
java.lang

## Class NumberFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.lang.NumberFormatException

- All Implemented Interfaces:
    Serializable

      public class NumberFormatException
      extends IllegalArgumentException

  Thrown to indicate that the application has attempted to convert a string to one of the numeric types, but that the string does not have the appropriate format.
  Since:
    JDK1.0
  See Also:
    `Integer.parseInt(String)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberFormatException()` Constructs a `NumberFormatException` with no detail message.
    `NumberFormatException(String s)` Constructs a `NumberFormatException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberFormatException

          public NumberFormatException()

      Constructs a `NumberFormatException` with no detail message.

    - #### NumberFormatException

          public NumberFormatException(String s)

      Constructs a `NumberFormatException` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.